require 'xattr'
require 'test/unit'

class TestXAttrs < Test::Unit::TestCase
	def test_1
		File.set_attr(__FILE__, "description", 'Test 1')
		assert_equal("Test 1", File.get_attr(__FILE__, "description"))
	end

	def test_2
		File.set_attr(__FILE__, "description", 'Test 2')
		File.open(__FILE__, 'r') do |f|
			assert_equal("Test 2", f.get_attr('description'))
		end
	end

	def test_3
		File.set_attr(__FILE__, "description", 'Test 3')
		assert_equal(File.get_all_attrs(__FILE__)['description'], "Test 3")
	end
	
	def test_4
		File.set_attr(__FILE__, "description", 'Test 4')
		File.open(__FILE__, 'r') do |f|
			assert_equal(f.get_all_attrs['description'], "Test 4")
		end
	end
end
